###
### $VER: BBGopher/amiga 1.0 - Sample Config File
###
### All you need to do to configure BBGopher is move or copy this file into
### AMITCP:db/bbgopher.conf and then edit the values.
###
### If you would rather have the config file in a different path, you must
### edit the file bbgopher.h and change the #define CONFIGPATH line to point
### to your preferred path.  You will obviously also have to recompile it.
###
### The format is simple: VARIABLE <spaces or tabs> VALUE
### You may place quotes around a value if it requires leading or trailing
### spaces.
###
### Everything after the _LAST_ '#' symbol on a line is discarded as a
### comment.
###

### TITLE is a text string displayed at the "top" of every page.

TITLE		Modemhead Gopher System


### SERVER is the default gopher server to connect to.  The default is
### simply 'gopher'.

SERVER		gopher


### PORT is the default port to connect to.  The default is 70.

PORT		70

### BADPORTS is a list of invalid ports that should generate en error message.
### This is useful for blocking access to certain types of services.

BADPORTS	4320


### HELPFILE is the name of an ASCII text file that should be displayed
### when the user asks for help.  It will run the file through the pager.
### Be sure to specify the complete path name.

HELPFILE	AMITCP:db/bbgopher.help


### BOOKMARK is the name of a file (relative to the user's home directory)
### that will be used to store bookmarks.

BOOKMARK	.bookmarks


### PAGER is the name of a program that will be used to display text files.
### If left blank or set to 'default', an internal one will be used.
### A '%s', if present, will be replaced with the filename.

PAGER     default


### MAILER is the name of the program to call to mail a file to someone.
### If left blank, 'sendmail' will be used.

MAILER    sendmail


### WORKDIR is the name of a directory where a user can save files to.  If
### left blank, the user can save files anywhere.  If filled in, then the
### user can only save files into this directory.  A '~' character will
### be expanded to the user's home directory.
###
### Note if you are using BBGopher with CNet BBS leave WORKDIR blank and
### it will default to the user's mail directory.

WORKDIR


### TELNET is the name of a program that provides a Telnet client.  This
### program must take a hostname and port number as the first and second
### command line arguments.  Left undefined it defaults simply to 'telnet'

TELNET		telnet

### TN3270 is the name of a program that provides a TN3270 client.  The
### default value is 'tn3270'

TN3270		tn3270


### LINES is the number of menu options to show on a single page.  The
### default is 19, which is perfect for 24 line displays.

LINES   	19


### CLEAR is either YES or NO.  Determines if the screen is cleared before
### each menu page (uses VT100 escape sequences).  Default is NO.

CLEAR		No


### TWIRLY is either YES or NO.  Determines if a spinning symbol is displayed
### while files are being retrieved.  Default is YES.

TWIRLY		Yes


### SKIPACF is either YES or NO.  Determines if menu items that the user
### doesn't have access to should be included in the display.  YES means
### those items will be skipped.  NO means they _will_ be included.  The
### default is NO (they will _not_ be skipped).

SKIPACF		No


### SKIPTYPE is either YES or NO.  Determines if menu items that have an
### unrecognized type are included in menu displays.  YES means that those
### items will be skipped.  NO means they _will_ be included.  The default
### is YES (they _will_ be skipped)

SKIPTYPE	No


### The following variables define access control files.  If a file name is
### defined, then the user's login id _must_ be present in the file in order
### to get access.  If the file is not specified or does not exist, then
### everyone gets access.  Be sure to specify the fully qualified path.

ACFDIR						# Directories
ACFTXT						# Text
ACFIDX						# Indexed searches
ACFUUE						# UUEncoded files
ACFHQX						# Macintosh HQX files
ACFDOS						# DOS Binary files
ACFBIN						# Miscellaneous binary files
ACFTEL						# Telnet
ACFTN3						# tn3270

